### Enumeration

# Qmi ImsDcmApnType

since: 1.37

#### Declaration

    enum Qmi.ImsDcmApnType

#### Description [src]

IMS DCM APN type.

Available since: 1.37

#### Members

`QMI_IMSDCM_APN_TYPE_IMS`

  Generic IMS.

  - Value: `0`
  - Available since: 1.37
`QMI_IMSDCM_APN_TYPE_INTERNET`

  Generic data.

  - Value: `1`
  - Available since: 1.37
`QMI_IMSDCM_APN_TYPE_EMERGENCY`

  Emergency.

  - Value: `2`
  - Available since: 1.37
`QMI_IMSDCM_APN_TYPE_RCS`

  RCS services.

  - Value: `3`
  - Available since: 1.37
`QMI_IMSDCM_APN_TYPE_UT`

  User Terminal.

  - Value: `4`
  - Available since: 1.37
`QMI_IMSDCM_APN_TYPE_WLAN`

  For WLAN.

  - Value: `5`
  - Available since: 1.37

#### Type functions

###### qmi_ims_dcm_apn_type_get_string

Gets the nickname string for the `QmiImsDcmApnType` specified at `val`.

since: 1.37